/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * Copyright (C) 2004-2008 Aimluck,Inc.
 * http://aipostyle.com/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.exttimecard;

import com.aimluck.commons.field.ALNumberField;
import com.aimluck.commons.field.ALStringField;

/**
 * タイムカード管理の勤務形態の情報を保持する。
 * 
 * 
 */
public class ExtTimecardSystemDetailResultData extends
    ExtTimecardSystemResultData {

  private ALNumberField user_id;

  private ALNumberField start_hour;

  private ALNumberField start_minute;

  private ALNumberField end_hour;

  private ALNumberField end_minute;

  private ALNumberField worktime_in;

  private ALNumberField resttime_in;

  private ALNumberField worktime_out;

  private ALNumberField resttime_out;

  private ALNumberField change_hour;

  private ALStringField outgoing_add_flag;

  private ALStringField create_date;

  private ALStringField update_date;
  
  private ALNumberField worktime_minute;
  
  private ALStringField worktime_list;

  /*----Add 2011/1/25 孫奇全 Start-----------*/
  private ALNumberField system_detail_id;
  
  private ALNumberField system_id;
  
  private ALStringField workstart_flag;
  
  private ALNumberField worktime;
  
  private ALStringField worktime_status;
  /*----Add 2011/1/25 孫奇全 End-------------*/

  /**
   * 
   * @see com.aimluck.eip.common.ALData#initField()
   */
  public void initField() {
    super.initField();
    user_id = new ALNumberField();
    start_hour = new ALNumberField();
    start_minute = new ALNumberField();
    end_hour = new ALNumberField();
    end_minute = new ALNumberField();
    worktime_in = new ALNumberField();
    resttime_in = new ALNumberField();
    worktime_out = new ALNumberField();
    resttime_out = new ALNumberField();
    change_hour = new ALNumberField();
    outgoing_add_flag = new ALStringField();
    create_date = new ALStringField();
    update_date = new ALStringField();
    worktime_minute = new ALNumberField();
    worktime_list = new ALStringField();
    /*----Add 2011/1/25 孫奇全 Start-----------*/
    system_detail_id = new ALNumberField();
    system_id = new ALNumberField();
    workstart_flag = new ALStringField();
    worktime = new ALNumberField();
    worktime_status = new ALStringField();
    /*----Add 2011/1/25 孫奇全 End-------------*/
  }

  public String getUserId() {
    return user_id.getValueAsString();
  }

  public String getStartHour() {
    return start_hour.getValueAsString();
  }

  public String getStartMinute() {
    return start_minute.getValueAsString();
  }

  public String getEndHour() {
    return end_hour.getValueAsString();
  }

  public String getEndMinute() {
    return end_minute.getValueAsString();
  }

  public String getWorkTimeIn() {
    return worktime_in.getValueAsString();
  }

  public String getRestTimeIn() {
    return resttime_in.getValueAsString();
  }

  public String getWorkTimeOut() {
    return worktime_out.getValueAsString();
  }

  public String getRestTimeOut() {
    return resttime_out.getValueAsString();
  }

  public String getChangeHour() {
    return change_hour.getValueAsString();
  }

  public String getOutgoingAddFlag() {
    return outgoing_add_flag.getValue();
  }

  public ALStringField getCreateDate() {
    return create_date;
  }

  public ALStringField getUpdateDate() {
    return update_date;
  }

  public String getWorktimeList() {
    return worktime_list.getValue();
  }

  public String getWorktimeMinute() {
    return worktime_minute.getValueAsString();
  }
  
  public void setUserId(int i) {
    user_id.setValue(i);
  }

  public void setStartHour(int i) {
    start_hour.setValue(i);
  }

  public void setStartMinute(int i) {
    start_minute.setValue(i);
  }

  public void setEndHour(int i) {
    end_hour.setValue(i);
  }

  public void setEndMinute(int i) {
    end_minute.setValue(i);
  }

  public void setWorkTimeIn(int i) {
    worktime_in.setValue(i);
  }

  public void setRestTimeIn(int i) {
    resttime_in.setValue(i);
  }

  public void setWorkTimeOut(int i) {
    worktime_out.setValue(i);
  }

  public void setRestTimeOut(int i) {
    resttime_out.setValue(i);
  }

  public void setChangeHour(int i) {
    change_hour.setValue(i);
  }

  public void setOutgoingAddFlag(String str) {
    outgoing_add_flag.setValue(str);
  }

  public void setCreateDate(String str) {
    create_date.setValue(str);
  }

  public void setUpdateDate(String str) {
    update_date.setValue(str);
  }

  public void setWorktimeList(String str) {
    worktime_list.setValue(str);
  }

  public void setWorktimeMinute(int i) {
    worktime_minute.setValue(i);
  }
  /*---Add  2011/1/25 孫奇全 Start-----*/
  public String getSystemDetailId(){
      return system_detail_id.getValueAsString();
  }
  
  public ALNumberField getSystemId(){
      return system_id;
  }
  
  public String getWorkstartFlag(){
      return workstart_flag.getValue();
  } 
  public String getWorktime (){
      return worktime.getValueAsString();
  }
  
  public String getWorktimeStatus (){
      return worktime_status.getValue();
  }
  
  public void setSystemDetailId (int i){
    system_detail_id.setValue(i);
  }

  public void setSystemId(int i){
    system_id.setValue(i);
  }

  public void setWorkstartFlag (String str){
    workstart_flag.setValue(str);
  }
  
  public void setWorkTime (int i){
    worktime.setValue(i);
  }
  
  public void setWorktimeStatus (String str){
    worktime_status.setValue(str);
  }
  
  /*---Add  2011/1/25 孫奇全 Start-----*/

}
